import * as Internal from "./w3";
import { EthereumConfig } from "./common/EthereumConfig";
import { PluginFactory } from "@web3api/core-js";
export { manifest, schema } from "./w3";
export interface EthereumPluginConfigs extends EthereumConfig, Record<string, unknown> {
}
export declare class EthereumPlugin extends Internal.EthereumPlugin {
    constructor(config: EthereumPluginConfigs);
}
export declare const ethereumPlugin: PluginFactory<EthereumPluginConfigs>;
export declare const plugin: PluginFactory<EthereumPluginConfigs>;
