"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mutation = void 0;
var w3_1 = require("./w3");
var Connection_1 = require("../common/Connection");
var Mapping = __importStar(require("../common/mapping"));
var parsing_1 = require("../common/parsing");
var ethers_1 = require("ethers");
var Mutation = /** @class */ (function (_super) {
    __extends(Mutation, _super);
    function Mutation(config) {
        var _this = _super.call(this, config) || this;
        _this._connections = Connection_1.Connection.fromConfigs(config.networks);
        // Assign the default network (mainnet if not provided)
        if (config.defaultNetwork) {
            _this._defaultNetwork = config.defaultNetwork;
        }
        else {
            _this._defaultNetwork = "mainnet";
        }
        // Create a connection for the default network if none exists
        if (!_this._connections[_this._defaultNetwork]) {
            _this._connections[_this._defaultNetwork] = Connection_1.Connection.fromNetwork(_this._defaultNetwork);
        }
        return _this;
    }
    Mutation.prototype.callContractMethod = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var res;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._callContractMethod(input)];
                    case 1:
                        res = _a.sent();
                        return [2 /*return*/, Mapping.toTxResponse(res)];
                }
            });
        });
    };
    Mutation.prototype.callContractMethodAndWait = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var response, res;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._callContractMethod(input)];
                    case 1:
                        response = _a.sent();
                        return [4 /*yield*/, response.wait()];
                    case 2:
                        res = _a.sent();
                        return [2 /*return*/, Mapping.toTxReceipt(res)];
                }
            });
        });
    };
    Mutation.prototype.sendTransaction = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var connection, signer, res;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _a.sent();
                        signer = connection.getSigner();
                        return [4 /*yield*/, signer.sendTransaction(Mapping.fromTxRequest(input.tx))];
                    case 2:
                        res = _a.sent();
                        return [2 /*return*/, Mapping.toTxResponse(res)];
                }
            });
        });
    };
    Mutation.prototype.sendTransactionAndWait = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var connection, signer, response, receipt;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _a.sent();
                        signer = connection.getSigner();
                        return [4 /*yield*/, signer.sendTransaction(Mapping.fromTxRequest(input.tx))];
                    case 2:
                        response = _a.sent();
                        return [4 /*yield*/, response.wait()];
                    case 3:
                        receipt = _a.sent();
                        return [2 /*return*/, Mapping.toTxReceipt(receipt)];
                }
            });
        });
    };
    Mutation.prototype.deployContract = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var connection, signer, factory, contract;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _a.sent();
                        signer = connection.getSigner();
                        factory = new ethers_1.ethers.ContractFactory(input.abi, input.bytecode, signer);
                        return [4 /*yield*/, factory.deploy.apply(factory, __spread(parsing_1.parseArgs(input.args)))];
                    case 2:
                        contract = _a.sent();
                        return [4 /*yield*/, contract.deployTransaction.wait()];
                    case 3:
                        _a.sent();
                        return [2 /*return*/, contract.address];
                }
            });
        });
    };
    Mutation.prototype.signMessage = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var connection;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _a.sent();
                        return [4 /*yield*/, connection.getSigner().signMessage(input.message)];
                    case 2: return [2 /*return*/, _a.sent()];
                }
            });
        });
    };
    Mutation.prototype.sendRPC = function (input, _client) {
        return __awaiter(this, void 0, void 0, function () {
            var connection, provider, response;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _a.sent();
                        provider = connection.getProvider();
                        return [4 /*yield*/, provider.send(input.method, input.params)];
                    case 2:
                        response = _a.sent();
                        return [2 /*return*/, response.toString()];
                }
            });
        });
    };
    Mutation.prototype._callContractMethod = function (input) {
        var _a, _b, _c;
        return __awaiter(this, void 0, void 0, function () {
            var connection, contract, funcs, gasPrice, gasLimit, value;
            return __generator(this, function (_d) {
                switch (_d.label) {
                    case 0: return [4 /*yield*/, this._getConnection(input.connection)];
                    case 1:
                        connection = _d.sent();
                        contract = connection.getContract(input.address, [input.method]);
                        funcs = Object.keys(contract.interface.functions);
                        gasPrice = (_a = input.txOverrides) === null || _a === void 0 ? void 0 : _a.gasPrice;
                        gasLimit = (_b = input.txOverrides) === null || _b === void 0 ? void 0 : _b.gasLimit;
                        value = (_c = input.txOverrides) === null || _c === void 0 ? void 0 : _c.value;
                        return [4 /*yield*/, contract[funcs[0]].apply(contract, __spread(parsing_1.parseArgs(input.args), [{
                                    gasPrice: gasPrice ? ethers_1.ethers.BigNumber.from(gasPrice) : undefined,
                                    gasLimit: gasLimit ? ethers_1.ethers.BigNumber.from(gasLimit) : undefined,
                                    value: value ? ethers_1.ethers.BigNumber.from(value) : undefined,
                                }]))];
                    case 2: return [2 /*return*/, _d.sent()];
                }
            });
        });
    };
    Mutation.prototype._getConnection = function (connection) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, Connection_1.getConnection(this._connections, this._defaultNetwork, connection)];
            });
        });
    };
    return Mutation;
}(w3_1.Module));
exports.Mutation = Mutation;
//# sourceMappingURL=index.js.map