import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
import { QueryConfig } from "../query";
import { MutationConfig } from "../mutation";
export interface EthereumPluginConfigs {
    query: QueryConfig;
    mutation: MutationConfig;
}
export declare class EthereumPlugin implements Plugin {
    private _configs;
    constructor(_configs: EthereumPluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const ethereumPlugin: PluginFactory<EthereumPluginConfigs>;
export declare const plugin: PluginFactory<EthereumPluginConfigs>;
